
BornAgain - Feature #2355

nomenclature: "rectangular" -> "flat detector"

13 May 2019 16:27 - wuttke

Status: Rejected Start date: 13 May 2019

Priority: Low Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

For the big renaming release: the correct opposition is "spherical" vs "flat". Rectangular, in there respective coordinates, they are

both.

History

#1 - 28 May 2019 17:44 - juan

- Status changed from New to Backlog

- Priority changed from Normal to Low

An effort to address this issue is available here: https://github.com/juanmcloaiza/BornAgain/tree/NewNamingConventions

The associated pull request (https://github.com/scgmlz/BornAgain/pull/831) was closed for the time being:

This kind of huge renaming, which impacts almost all user scripts, will need to be postponed to a later release. We could bundle all major API

breaking renaming (see also #1569) in a single release with higher major version number (e.g. BornAgain 2.0).

#2 - 30 Jul 2019 16:33 - pospelov

- Target version deleted (v2.0)

#3 - 18 Sep 2020 11:55 - wuttke

- Status changed from Backlog to Rejected

moved to ba-intern/todo/renaming.md
